core::net::Uri Struct Reference

The Uri class encapsulates the components of a URI. More...

`#include <uri.h>`

Collaboration diagram for core::net::Uri:

## Public Types

typedef std::string | Host
typedef std::vector< std::string > | Path
typedef std::vector< std::pair< std::string, std::string > > | QueryParameters

## Public Attributes

Host | host
| The host is the first part of the URI, including the protocol.
Path | path
| the path components
QueryParameters | query_parameters
| The CGI query parameters as ordered key-value pairs.

## Detailed Description

The Uri class encapsulates the components of a URI.

Definition at line 36 of file uri.h.

## Member Typedef Documentation

## Host

typedef std::string core::net::Uri::Host

Definition at line 38 of file uri.h.

## Path

typedef std::vector<std::string> core::net::Uri::Path

Definition at line 40 of file uri.h.

## QueryParameters

typedef std::vector<std::pair<std::string, std::string> > core::net::Uri::QueryParameters

Definition at line 42 of file uri.h.

## Member Data Documentation

## host

Host core::net::Uri::host

The host is the first part of the URI, including the protocol.

e.g.

"http://www.ubuntu.com"

Definition at line 52 of file uri.h.

## path

Path core::net::Uri::path

the path components

e.g.

{"api", "v3", "search"}

Definition at line 62 of file uri.h.

## query_parameters

QueryParameters core::net::Uri::query_parameters

The CGI query parameters as ordered key-value pairs.

e.g.

{{"key1", "value1"}, {"key2", "value2"}}

Definition at line 72 of file uri.h.

The documentation for this struct was generated from the following file:

- uri.h